Security update for apache2

SUSE Security Update: Security update for apache2
Announcement ID: SUSE-SU-2019:0878-1
Rating: important
References: #1131233 #1131237 #1131239 #1131241 #1131245
Cross-References: CVE-2019-0196 CVE-2019-0197 CVE-2019-0211 CVE-2019-0217 CVE-2019-0220
Affected Products:
  • SUSE OpenStack Cloud 7
  • SUSE Linux Enterprise Software Development Kit 12-SP4
  • SUSE Linux Enterprise Software Development Kit 12-SP3
  • SUSE Linux Enterprise Server for SAP 12-SP2
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Server 12-SP3
  • SUSE Linux Enterprise Server 12-SP2-LTSS
  • SUSE Linux Enterprise Server 12-SP2-BCL
  • SUSE Enterprise Storage 4

An update that fixes 5 vulnerabilities is now available.

Description:

This update for apache2 fixes the following issues:

  • CVE-2019-0220: The Apache HTTP server did not use a consistent strategy for URL normalization throughout all of its components. In particular, consecutive slashes were not always collapsed. Attackers could potentially abuse these inconsistencies to by-pass access control mechanisms and thus gain unauthorized access to protected parts of the service. [bsc#1131241]

  • CVE-2019-0217: A race condition in Apache's "mod_auth_digest" when running in a threaded server could have allowed users with valid credentials to authenticate using another username, bypassing configured access control restrictions. [bsc#1131239]

  • CVE-2019-0211: A flaw in the Apache HTTP Server allowed less-privileged child processes or threads to execute arbitrary code with the privileges of the parent process. Attackers with control over CGI scripts or extension modules run by the server could have abused this issue to potentially gain super user privileges. [bsc#1131233]

  • CVE-2019-0197: When HTTP/2 support was enabled in the Apache server for a 'http' host or H2Upgrade was enabled for h2 on a 'https' host, an Upgrade request from http/1.1 to http/2 that was not the first request on a connection could lead to a misconfiguration and crash. This issue could have been abused to mount a denial-of-service attack. Servers that never enabled the h2 protocol or that only enabled it for https: and did not configure the "H2Upgrade on" are unaffected. [bsc#1131245]

  • CVE-2019-0196: Through specially crafted network input the Apache's http/2 request handler could be lead to access previously freed memory while determining the method of a request. This resulted in the request being misclassified and thus being processed incorrectly. [bsc#1131237]

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE OpenStack Cloud 7:
    zypper in -t patch SUSE-OpenStack-Cloud-7-2019-878=1
  • SUSE Linux Enterprise Software Development Kit 12-SP4:
    zypper in -t patch SUSE-SLE-SDK-12-SP4-2019-878=1
  • SUSE Linux Enterprise Software Development Kit 12-SP3:
    zypper in -t patch SUSE-SLE-SDK-12-SP3-2019-878=1
  • SUSE Linux Enterprise Server for SAP 12-SP2:
    zypper in -t patch SUSE-SLE-SAP-12-SP2-2019-878=1
  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-878=1
  • SUSE Linux Enterprise Server 12-SP3:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-2019-878=1
  • SUSE Linux Enterprise Server 12-SP2-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-SP2-2019-878=1
  • SUSE Linux Enterprise Server 12-SP2-BCL:
    zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2019-878=1
  • SUSE Enterprise Storage 4:
    zypper in -t patch SUSE-Storage-4-2019-878=1

Package List:

  • SUSE OpenStack Cloud 7 (s390x x86_64):
    • apache2-2.4.23-29.40.1
    • apache2-debuginfo-2.4.23-29.40.1
    • apache2-debugsource-2.4.23-29.40.1
    • apache2-example-pages-2.4.23-29.40.1
    • apache2-prefork-2.4.23-29.40.1
    • apache2-prefork-debuginfo-2.4.23-29.40.1
    • apache2-utils-2.4.23-29.40.1
    • apache2-utils-debuginfo-2.4.23-29.40.1
    • apache2-worker-2.4.23-29.40.1
    • apache2-worker-debuginfo-2.4.23-29.40.1
  • SUSE OpenStack Cloud 7 (noarch):
    • apache2-doc-2.4.23-29.40.1
  • SUSE Linux Enterprise Software Development Kit 12-SP4 (aarch64 ppc64le s390x x86_64):
    • apache2-debuginfo-2.4.23-29.40.1
    • apache2-debugsource-2.4.23-29.40.1
    • apache2-devel-2.4.23-29.40.1
  • SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le s390x x86_64):
    • apache2-debuginfo-2.4.23-29.40.1
    • apache2-debugsource-2.4.23-29.40.1
    • apache2-devel-2.4.23-29.40.1
  • SUSE Linux Enterprise Server for SAP 12-SP2 (ppc64le x86_64):
    • apache2-2.4.23-29.40.1
    • apache2-debuginfo-2.4.23-29.40.1
    • apache2-debugsource-2.4.23-29.40.1
    • apache2-example-pages-2.4.23-29.40.1
    • apache2-prefork-2.4.23-29.40.1
    • apache2-prefork-debuginfo-2.4.23-29.40.1
    • apache2-utils-2.4.23-29.40.1
    • apache2-utils-debuginfo-2.4.23-29.40.1
    • apache2-worker-2.4.23-29.40.1
    • apache2-worker-debuginfo-2.4.23-29.40.1
  • SUSE Linux Enterprise Server for SAP 12-SP2 (noarch):
    • apache2-doc-2.4.23-29.40.1
  • SUSE Linux Enterprise Server 12-SP4 (aarch64 ppc64le s390x x86_64):
    • apache2-2.4.23-29.40.1
    • apache2-debuginfo-2.4.23-29.40.1
    • apache2-debugsource-2.4.23-29.40.1
    • apache2-example-pages-2.4.23-29.40.1
    • apache2-prefork-2.4.23-29.40.1
    • apache2-prefork-debuginfo-2.4.23-29.40.1
    • apache2-utils-2.4.23-29.40.1
    • apache2-utils-debuginfo-2.4.23-29.40.1
    • apache2-worker-2.4.23-29.40.1
    • apache2-worker-debuginfo-2.4.23-29.40.1
  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • apache2-doc-2.4.23-29.40.1
  • SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):
    • apache2-2.4.23-29.40.1
    • apache2-debuginfo-2.4.23-29.40.1
    • apache2-debugsource-2.4.23-29.40.1
    • apache2-example-pages-2.4.23-29.40.1
    • apache2-prefork-2.4.23-29.40.1
    • apache2-prefork-debuginfo-2.4.23-29.40.1
    • apache2-utils-2.4.23-29.40.1
    • apache2-utils-debuginfo-2.4.23-29.40.1
    • apache2-worker-2.4.23-29.40.1
    • apache2-worker-debuginfo-2.4.23-29.40.1
  • SUSE Linux Enterprise Server 12-SP3 (noarch):
    • apache2-doc-2.4.23-29.40.1
  • SUSE Linux Enterprise Server 12-SP2-LTSS (ppc64le s390x x86_64):
    • apache2-2.4.23-29.40.1
    • apache2-debuginfo-2.4.23-29.40.1
    • apache2-debugsource-2.4.23-29.40.1
    • apache2-example-pages-2.4.23-29.40.1
    • apache2-prefork-2.4.23-29.40.1
    • apache2-prefork-debuginfo-2.4.23-29.40.1
    • apache2-utils-2.4.23-29.40.1
    • apache2-utils-debuginfo-2.4.23-29.40.1
    • apache2-worker-2.4.23-29.40.1
    • apache2-worker-debuginfo-2.4.23-29.40.1
  • SUSE Linux Enterprise Server 12-SP2-LTSS (noarch):
    • apache2-doc-2.4.23-29.40.1
  • SUSE Linux Enterprise Server 12-SP2-BCL (noarch):
    • apache2-doc-2.4.23-29.40.1
  • SUSE Linux Enterprise Server 12-SP2-BCL (x86_64):
    • apache2-2.4.23-29.40.1
    • apache2-debuginfo-2.4.23-29.40.1
    • apache2-debugsource-2.4.23-29.40.1
    • apache2-example-pages-2.4.23-29.40.1
    • apache2-prefork-2.4.23-29.40.1
    • apache2-prefork-debuginfo-2.4.23-29.40.1
    • apache2-utils-2.4.23-29.40.1
    • apache2-utils-debuginfo-2.4.23-29.40.1
    • apache2-worker-2.4.23-29.40.1
    • apache2-worker-debuginfo-2.4.23-29.40.1
  • SUSE Enterprise Storage 4 (noarch):
    • apache2-doc-2.4.23-29.40.1
  • SUSE Enterprise Storage 4 (x86_64):
    • apache2-2.4.23-29.40.1
    • apache2-debuginfo-2.4.23-29.40.1
    • apache2-debugsource-2.4.23-29.40.1
    • apache2-example-pages-2.4.23-29.40.1
    • apache2-prefork-2.4.23-29.40.1
    • apache2-prefork-debuginfo-2.4.23-29.40.1
    • apache2-utils-2.4.23-29.40.1
    • apache2-utils-debuginfo-2.4.23-29.40.1
    • apache2-worker-2.4.23-29.40.1
    • apache2-worker-debuginfo-2.4.23-29.40.1

References: